summaryrefslogtreecommitdiffstats
path: root/academic/cap3
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-01-13 10:45:08 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 09:03:02 -0500
commit1aa1d7bb199f0462c4bd1923160ba917f3442c94 (patch)
tree743df704c47d2e0cb3b1260f78cf47f2bd594949 /academic/cap3
parentab46533b5921c6b53b1bac23e99de90d20779895 (diff)
downloadslackbuilds-1aa1d7bb199f0462c4bd1923160ba917f3442c94.tar.gz
slackbuilds-1aa1d7bb199f0462c4bd1923160ba917f3442c94.tar.xz
academic/cap3: Added (DNA sequence assembly program).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'academic/cap3')
-rw-r--r--academic/cap3/LICENSE9
-rw-r--r--academic/cap3/README14
-rw-r--r--academic/cap3/References3
-rw-r--r--academic/cap3/cap3.SlackBuild92
-rw-r--r--academic/cap3/cap3.info10
-rw-r--r--academic/cap3/slack-desc19
6 files changed, 147 insertions, 0 deletions
diff --git a/academic/cap3/LICENSE b/academic/cap3/LICENSE
new file mode 100644
index 0000000000..06e153b3fa
--- /dev/null
+++ b/academic/cap3/LICENSE
@@ -0,0 +1,9 @@
+CAP3 and PCAP are freely available for use at non-profit
+organizations.
+
+CAP3 and PCAP are available for use at company under a
+licensing agreement from Michigan Tech.
+For information on a licensing agreement, please contact
+Robin Kolehmainen by email at rakolehm@mtu.edu or by
+phone at 906-487-2228. Michigan Tech handles licensing
+agreements on PCAP for Iowa State.
diff --git a/academic/cap3/README b/academic/cap3/README
new file mode 100644
index 0000000000..62792bb4c7
--- /dev/null
+++ b/academic/cap3/README
@@ -0,0 +1,14 @@
+CAP3: A DNA sequence assembly program.
+
+CAP3 if the third generation of the CAP sequence assembly program. The
+program has a capability to clip 5' and 3' low-quality regions of reads.
+It uses base quality values in computation of overlaps between reads,
+construction of multiple sequence alignments of reads, and generation
+of consensus sequences. The program also uses forward-reverse constraints
+to correct assembly errors and link contigs.
+
+This just repackages the binaries provided from upstream.
+
+If you use CAP3 in any published work, please cite:
+Huang, X. and Madan, A. (1999) CAP3: A DNA sequence assembly program.
+Genome Res., 9, 868-877.
diff --git a/academic/cap3/References b/academic/cap3/References
new file mode 100644
index 0000000000..cdcda85dd0
--- /dev/null
+++ b/academic/cap3/References
@@ -0,0 +1,3 @@
+If you use CAP3 in any published work, please cite:
+Huang, X. and Madan, A. (1999) CAP3: A DNA sequence assembly program.
+Genome Res., 9, 868-877.
diff --git a/academic/cap3/cap3.SlackBuild b/academic/cap3/cap3.SlackBuild
new file mode 100644
index 0000000000..0a18de25cf
--- /dev/null
+++ b/academic/cap3/cap3.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for cap3
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cap3
+VERSION=${VERSION:-20091029} # Use the last modification date as version
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+# Determine the tarball arch
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=".opteron64"
+else
+ SRCARCH=""
+fi
+
+# Construct tarball name
+TARNAME=${PRGNAM}.linux${SRCARCH}
+DIRNAM=CAP3
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -fr $DIRNAM
+tar xvf $CWD/$TARNAME.tar
+cd $DIRNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 formcon $PKG/usr/bin/formcon
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ aceform doc README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/cap3/cap3.info b/academic/cap3/cap3.info
new file mode 100644
index 0000000000..c0186331d1
--- /dev/null
+++ b/academic/cap3/cap3.info
@@ -0,0 +1,10 @@
+PRGNAM="cap3"
+VERSION="20091029"
+HOMEPAGE="http://seq.cs.iastate.edu/"
+DOWNLOAD="http://seq.cs.iastate.edu/CAP3/cap3.linux.tar"
+MD5SUM="55f57f61e588d4de06c0506cf2696c29"
+DOWNLOAD_x86_64="http://seq.cs.iastate.edu/CAP3/cap3.linux.opteron64.tar"
+MD5SUM_x86_64="2d924766f6e8b5cf03bd2db81016d821"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/cap3/slack-desc b/academic/cap3/slack-desc
new file mode 100644
index 0000000000..8940c92865
--- /dev/null
+++ b/academic/cap3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cap3: cap3 (CAP3: A DNA sequence assembly program)
+cap3:
+cap3: CAP3 if the third generation of the CAP sequence assembly program.
+cap3: The program has a capability to clip 5' and 3' low-quality regions
+cap3: of reads. It uses base quality values in computation of overlaps
+cap3: between reads, construction of multiple sequence alignments of reads,
+cap3: and generation of consensus sequences.
+cap3:
+cap3: Home: http://seq.cs.iastate.edu/
+cap3: References: /usr/doc/cap3-$VERSION/References
+cap3: